Bug 220067 - Can't connect to AES-CCMP wireless network
Can't connect to AES-CCMP wireless network
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-18 14:09 EST by Chris Adams
Modified: 2007-12-16 21:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-16 21:28:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Adams 2006-12-18 14:09:20 EST
I'm not sure if this is a problem with wpa_supplicant or the kernel.

I'm using NetworkManager under FC6 on a notebook with an ipw2200 wireless NIC. 
I am able to connect to a WPA network using TKIP for encryption, but I cannot
connect to a network using AES-CCMP.  NM just keeps asking me for the key until
I cancel.
Comment 1 Dan Williams 2006-12-18 14:29:19 EST
What kernel version and wpa_supplicant versions?
Comment 2 Chris Adams 2006-12-18 14:39:00 EST
Sorry, that was dumb to leave that out.

kernel-2.6.18-1.2849.fc6.i686
wpa_supplicant-0.4.9-1.fc6
ipw2200-firmware-3.0-1.lvn6

I have had this problem for a while with FC5 as well; I just hadn't had time to
try to debug it.  Someone else manages this particular wireless LAN, so I don't
have a way to look at the other end (I did reproduce this recently with FC5 and
my Linksys WRT54G at home though).  AES did work at one point in time, but I
don't connect to this particular network often enough to know when AES broke.
Comment 3 Chris Adams 2007-01-07 22:02:35 EST
Still seeing this with kernel-2.6.18-1.2869.fc6.i686.  I have reproduced this at
home with my WRT54G by setting it to AES only; I can't connect that way. 
Setting it back to TKIP+AES allows me to connect with TKIP.
Comment 4 Dan Williams 2007-01-08 07:43:45 EST
Is the AP broadcasting it's SSID?
Comment 5 Chris Adams 2007-01-08 09:01:56 EST
Yes (in both cases).  I can see the network in the NM list and select it, NM
prompts me for the key, and then it attempts to connect.  It never successfully
connects, and if I do an "lsmod", I don't even see the aes module loaded.
Comment 6 Chris Adams 2007-03-22 14:12:04 EDT
With all current FC6 updates, I still cannot connect to a CCMP/AES network.
Comment 7 Casual J. Programmer 2007-06-16 04:48:56 EDT
Have you tried wpa_supplicant without NM ?

Stop NM ( System/Administration/Server Settings/Services ) and NM Dispatcher. 

Install wpa_gui from the repository and add "update_config=1" to
/etc/wpa_supplicant/wpa_supplicant.conf 

Start wpa_supplicant manually ( as root ) 

#wpa_supplicant -Dwext -iwlan0 -c/etc/wpa_supplicant/wpa_supplicant.conf -B

then wpa_gui ( as root )

#wpa_gui

Now you can scan for networks and attach by double clicking on it's entry.




Comment 8 Chris Adams 2007-06-16 14:02:27 EDT
Huh, it works today on my home WLAN.  I actually configured my network in
wpa_supplicant.conf directly, reconfigured my router (a Juniper SSG5) to use
CCMP only, and I connected right up.  I commented out my manual config, rebooted
(just to be safe), and NM connected right up (I'm submitting this across it now).

The network at work (Apple AP) is the one that I haven't been able connect to;
I'll try it on Monday.

Could this have been a kernel-related thing?  I haven't changed wpa_supplicant
or NetworkManager in a long time, and I've failed at home before (although not
to the SSG5).

Note You need to log in before you can comment on or make changes to this bug.